Bug 206670 - FAMNotifier is too slow
FAMNotifier is too slow
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
7.1
PC Solaris
: P2 (vote)
: 7.1.1
Assigned To: Egor Ushakov
issues@platform
71patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-23 15:00 UTC by Egor Ushakov
Modified: 2012-02-27 12:58 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2011-12-23 15:00:01 UTC
Too many messages:
 Blocking FAM requests for xxx ms, requests queue is full
And it blocks all requests after that causing huge IDE slowdown
Comment 1 Egor Ushakov 2011-12-23 15:01:17 UTC
gamin implementation is unsupported, buggy and slow, I will disable FAM notifier, let's switch to nio2 when available
Comment 2 Egor Ushakov 2011-12-23 15:10:42 UTC
FAMNotifier disabled by default in:
http://hg.netbeans.org/cnd-main/rev/0f7172e25cd5

to enable use org.netbeans.modules.masterfs.watcher.FAM=true
Comment 3 Quality Engineering 2011-12-24 15:57:33 UTC
Integrated into 'main-golden', will be available in build *201112240601* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0f7172e25cd5
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #206670 (FAMNotifier is too slow) - disabled by default
Comment 4 Jaroslav Tulach 2011-12-27 18:36:07 UTC
Please document this property in masterfs/arch.xml or rather masterfs.solaris/arch.xml as soon as it the module gets integrated.
Comment 5 Egor Ushakov 2011-12-29 12:37:56 UTC
property documented in:
http://hg.netbeans.org/cnd-main/rev/b29b57be7f76
Comment 6 Quality Engineering 2011-12-30 15:42:36 UTC
Integrated into 'main-golden', will be available in build *201112300601* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b29b57be7f76
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #fixed #206670 (FAMNotifier is too slow) - documented property in arch.xml
Comment 7 soldatov 2012-01-18 12:30:41 UTC
verified in NetBeans IDE Dev (Build 201201180601)

"WARNING [org.netbeans.modules.masterfs.watcher.FAMNotifier]: Blocking FAM requests for 2091ms, requests queue is full" doesn't appear after Clean&Build
New files ("touch test.h" command in gnome-terminal) appears in Makefile based projects
Comment 8 Egor Ushakov 2012-02-06 15:41:27 UTC
integrated into release71_fixes:
http://hg.netbeans.org/releases/rev/8eb0629f71df
Comment 9 Quality Engineering 2012-02-08 02:33:19 UTC
Integrated into 'releases', will be available in build *201202072200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/8eb0629f71df
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #206670 (FAMNotifier is too slow) - disabled by default
Comment 10 soldatov 2012-02-27 12:58:11 UTC
verified in NetBeans 7.1.1RC1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo